Remove SMSC SCH5317 support. (issue3533010)

31 views
Skip to first unread message

dhen...@chromium.org

unread,
Oct 1, 2010, 1:55:14 AM10/1/10
to jose...@google.com, chromium-...@chromium.org, m...@chromium.org, te...@chromium.org, ad...@chromium.org, an...@chromium.org
Reviewers: josephsih_google.com,

Description:
Remove SMSC SCH5317 support.

The SMSC SCH5317 has a conflicting device ID with the IT8500. In lieu of a
better detection algorithm, this patch removes the SCH5317 entirely to
eliminate it from output when IT8500 is present.

Change-Id: I7d5d67f08ccf4ec09db2c994b4ac9532e1c6f8dc

BUG=
TEST=

Please review this at http://codereview.chromium.org/3533010/show

SVN Base: ssh://g...@gitrw.chromium.org:9222/chromiumos-overlay.git

Affected files:
A sys-apps/superiotool/files/remove_sch5317.patch
A sys-apps/superiotool/superiotool-5690-r2.ebuild


Index: sys-apps/superiotool/files/remove_sch5317.patch
diff --git a/sys-apps/superiotool/files/remove_sch5317.patch
b/sys-apps/superiotool/files/remove_sch5317.patch
new file mode 100644
index
0000000000000000000000000000000000000000..0f63d96f82b562ff666bff8a45ea610ba0995426
--- /dev/null
+++ b/sys-apps/superiotool/files/remove_sch5317.patch
@@ -0,0 +1,16 @@
+Index: smsc.c
+===================================================================
+--- smsc.c (revision 5690)
++++ smsc.c (working copy)
+@@ -655,9 +655,11 @@
+ {EOT}}},
+ {0x83, "SCH5514D", { /* From sensors-detect */
+ {EOT}}},
++#if 0
+ {0x85, "SCH5317", { /* From sensors-detect */
+ /* The SCH5317 can have either 0x85 or 0x8c as device ID. */
+ {EOT}}},
++#endif
+ {0x86, "SCH5127", { /* From sensors-detect */
+ {EOT}}},
+ {0x89, "SCH5027", { /* From sensors-detect (no public datasheet) */
Index: sys-apps/superiotool/superiotool-5690-r2.ebuild
diff --git a/sys-apps/superiotool/superiotool-5690-r2.ebuild
b/sys-apps/superiotool/superiotool-5690-r2.ebuild
new file mode 100644
index
0000000000000000000000000000000000000000..85414ef130d8bd90e6af3116c89f7c292925f9c4
--- /dev/null
+++ b/sys-apps/superiotool/superiotool-5690-r2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2010 Chromium OS Authors
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Superiotool allows you to detect which Super I/O you have on
your mainboard, and it can provide detailed information about the register
contents of the Super I/O."
+HOMEPAGE="http://www.coreboot.org/Superiotool"
+SRC_URI="http://commondatastorage.googleapis.com/chromeos-localmirror/distfiles/${PN}-svn-${PV}.tar.bz2"
+
+S=${PN}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86"
+
+RDEPEND="sys-apps/pciutils"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ epatch ${FILESDIR}/remove_sch5317.patch
+}
+
+src_compile() {
+ cd ${S}
+ emake CC="$(tc-getCC)" || die "emake failed"
+}
+
+src_install() {
+ cd ${S}
+ emake DESTDIR="${D}" install || die
+}


yj...@chromium.org

unread,
Oct 3, 2010, 10:55:17 PM10/3/10
to dhen...@chromium.org, jose...@google.com, wai...@google.com, chromium-...@chromium.org, m...@chromium.org, te...@chromium.org, ad...@chromium.org, an...@chromium.org
LGTM for the smsc.c as long as it is a short-term solution to unblock the
HWID
development.

Please wait for other people to review ebuild file since I am not good at
ebuild
system.

http://codereview.chromium.org/3533010/show

Reply all
Reply to author
Forward
0 new messages